%global pypi_name pathspec

Name:           python-%{pypi_name}
Version:        0.8.1
Release:        %mkrel 1
Summary:        Utility library for gitignore style pattern matching of file paths
Group:          Development/Python
License:        MPL 2.0
URL:            https://pypi.org/project/pathspec/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.


%prep
%autosetup -n pathspec-%{version}
# Remove bundled egg-info
rm -rf pathspec.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-pathspec
%doc README.rst
%license LICENSE
%{python3_sitelib}/pathspec
%{python3_sitelib}/pathspec-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Nov 09 2020 guillomovitch <guillomovitch> 0.8.1-1.mga8
+ Revision: 1644153
- imported package python-pathspec

